JavaScript/jQuery Tooltip - Show and Hide the Tooltip

User Interaction

To specify when the Tooltip should be shown and hidden, set the showEvent and hideEvent properties. These properties can accept several events at once as well as an object.

JavaScript
HTML
  • $(function() {
  • $("#tooltipContainer").dxTooltip({
  • target: "#image",
  • showEvent: 'dxhoverstart',
  • hideEvent: 'dxhoverend',
  • contentTemplate: function (contentElement) {
  • contentElement.append(
  • $("<p />").text("Tooltip content")
  • )
  • }
  • });
  • });
  • <img id="image" src="https://url/to/an/image" />
  • <div id="tooltipContainer"></div>

The Tooltip can also be hidden when a user clicks outside it. To control this behavior of the Tooltip, use the hideOnOutsideClick property.

JavaScript
HTML
  • $(function() {
  • $("#tooltipContainer").dxTooltip({
  • target: "#image",
  • showEvent: 'dxhoverstart',
  • hideEvent: 'dxhoverend',
  • hideOnOutsideClick: false,
  • contentTemplate: function (contentElement) {
  • contentElement.append(
  • $("<p />").text("Tooltip content")
  • )
  • }
  • });
  • });
  • <img id="image" src="https://url/to/an/image" />
  • <div id="tooltipContainer"></div>

API

NOTE
In this article, the Button UI component is used to demonstrate how to show and hide the Tooltip. This choice is made for purely demonstrational purposes, and you can do the same operations using another UI component following the same guidelines.

To show or hide the Tooltip programmatically, call the show() or hide() method. The same thing can be done using the toggle(showing) method. Pass true or false to this method to show or hide the Tooltip, respectively.

JavaScript
HTML
  • $(function() {
  • $("#tooltipContainer").dxTooltip({
  • target: "#image",
  • contentTemplate: function (contentElement) {
  • contentElement.append(
  • $("<p />").text("Tooltip content")
  • )
  • }
  • });
  •  
  • $("#showButton").dxButton({
  • text: "Show the Tooltip",
  • onClick: function () {
  • $("#tooltipContainer").dxTooltip("show");
  • // === or ===
  • $("#tooltipContainer").dxTooltip("toggle", true);
  • }
  • });
  •  
  • $("#hideButton").dxButton({
  • text: "Hide the Tooltip",
  • onClick: function () {
  • $("#tooltipContainer").dxTooltip("hide");
  • // === or ===
  • $("#tooltipContainer").dxTooltip("toggle", false);
  • }
  • });
  • });
  • <img id="image" src="https://url/to/an/image" />
  • <div id="tooltipContainer"></div>
  • <div id="showButton"></div>
  • <div id="hideButton"></div>

The show() method called without arguments shows the Tooltip for the target specified beforehand. If you need to change the target once, call the show(target) method.

JavaScript
  • $(function() {
  • // ...
  • $("#showButton").dxButton({
  • text: "Show the Tooltip",
  • onClick: function () {
  • $("#tooltipContainer").dxTooltip("show", "#newTarget");
  • }
  • });
  • });

Events

To execute certain commands before or after the Tooltip was shown/hidden, handle the showing, shown, hiding or hidden event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the corresponding onEventName property when you configure the UI component.

JavaScript
  • $(function () {
  • $("#tooltipContainer").dxTooltip({
  • // ...
  • onShowing: function (e) {
  • // Handler of the "showing" event
  • },
  • onShown: function (e) {
  • // Handler of the "shown" event
  • },
  • onHiding: function (e) {
  • // Handler of the "hiding" event
  • },
  • onHidden: function (e) {
  • // Handler of the "hidden" event
  • }
  • });
  • });

If you are going to change event handlers at runtime, or if you need to attach several handlers to a single event, subscribe to the events using the on(eventName, eventHandler) method.

JavaScript
  • const hiddenEventHandler1 = function (e) {
  • // First handler of the "hidden" event
  • };
  •  
  • const hiddenEventHandler2 = function (e) {
  • // Second handler of the "hidden" event
  • };
  •  
  • $("#tooltipContainer").dxTooltip("instance")
  • .on("hidden", hiddenEventHandler1)
  • .on("hidden", hiddenEventHandler2);
See Also

Angular Tooltip - Show and Hide the Tooltip

User Interaction

To specify when the Tooltip should be shown and hidden, set the showEvent and hideEvent properties. These properties can accept several events at once as well as an object.

HTML
TypeScript
  • <img id="image" src="https://url/to/an/image" />
  • <dx-tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend">
  • <div *dxTemplate="let data of 'content'">
  • <p>Tooltip content</p>
  • </div>
  • </dx-tooltip>
  • import { DxTooltipModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })

The Tooltip can also be hidden when a user clicks outside it. To control this behavior of the Tooltip, use the hideOnOutsideClick property.

HTML
TypeScript
  • <img id="image" src="https://url/to/an/image" />
  • <dx-tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • [hideOnOutsideClick]="false">
  • <div *dxTemplate="let data of 'content'">
  • <p>Tooltip content</p>
  • </div>
  • </dx-tooltip>
  • import { DxTooltipModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })

API

NOTE
In this article, the Button UI component is used to demonstrate how to show and hide the Tooltip. This choice is made for purely demonstrational purposes, and you can do the same operations using another UI component following the same guidelines.

To show or hide the Tooltip programmatically, bind the visible property of the Tooltip to a component property. After that, change this component property, and the Tooltip will appear or disappear.

HTML
TypeScript
  • <img id="image" src="https://url/to/an/image" />
  • <dx-tooltip
  • target="#image"
  • [visible]="isTooltipVisible">
  • <div *dxTemplate="let data of 'content'">
  • <p>Tooltip content</p>
  • </div>
  • </dx-tooltip>
  • <dx-button
  • text="Show the Tooltip"
  • (onClick)="isTooltipVisible = true">
  • </dx-button>
  • <dx-button
  • text="Hide the Tooltip"
  • (onClick)="isTooltipVisible = false">
  • </dx-button>
  • import { DxTooltipModule, DxButtonModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • isTooltipVisible: boolean = false;
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })

Events

To execute certain commands before or after the Tooltip was shown/hidden, handle the showing, shown, hiding or hidden event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the corresponding onEventName property when you configure the UI component.

HTML
TypeScript
  • <dx-tooltip ...
  • (onShowing)="onShowing($event)"
  • (onShown)="onShown($event)"
  • (onHiding)="onHiding($event)"
  • (onHidden)="onHidden($event)">
  • </dx-tooltip>
  • import { DxTooltipModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • onShowing (e) {
  • // Handler of the "showing" event
  • },
  • onShown (e) {
  • // Handler of the "shown" event
  • },
  • onHiding (e) {
  • // Handler of the "hiding" event
  • },
  • onHidden (e) {
  • // Handler of the "hidden" event
  • }
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTooltipModule
  • ],
  • // ...
  • })
See Also

React Tooltip - Show and Hide the Tooltip

User Interaction

To specify when the Tooltip should be shown and hidden, set the showEvent and hideEvent properties. These properties can accept several events at once as well as an object.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tooltip } from 'devextreme-react/tooltip';
  •  
  • const renderContent = () => {
  • return (
  • <p>Tooltip content</p>
  • );
  • }
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <Tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • contentRender={renderContent}
  • />
  • </div>
  • );
  • }
  • }
  •  
  • export default App;

The Tooltip can also be hidden when a user clicks outside it. To control this behavior of the Tooltip, use the hideOnOutsideClick property.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tooltip } from 'devextreme-react/tooltip';
  •  
  • const renderContent = () => {
  • return (
  • <p>Tooltip content</p>
  • );
  • }
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <Tooltip
  • target="#image"
  • showEvent="dxhoverstart"
  • hideEvent="dxhoverend"
  • contentRender={renderContent}
  • hideOnOutsideClick={false}
  • />
  • </div>
  • );
  • }
  • }
  •  
  • export default App;

API

NOTE
In this article, the Button UI component is used to demonstrate how to show and hide the Tooltip. This choice is made for purely demonstrational purposes, and you can do the same operations using another UI component following the same guidelines.

To show or hide the Tooltip programmatically, bind the visible property of the Tooltip to a state property. After that, change this state property, and the Tooltip will appear or disappear.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tooltip } from 'devextreme-react/tooltip';
  • import { Button } from 'devextreme-react/button';
  •  
  • const renderContent = () => {
  • return (
  • <p>Tooltip content</p>
  • );
  • }
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.state = {
  • isTooltipVisible: false
  • };
  •  
  • this.showTooltip = this.showTooltip.bind(this);
  • this.hideTooltip = this.hideTooltip.bind(this);
  • }
  •  
  • showTooltip() {
  • this.setState({
  • isTooltipVisible: true
  • });
  • }
  •  
  • hideTooltip() {
  • this.setState({
  • isTooltipVisible: false
  • });
  • }
  •  
  • render() {
  • return (
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <Tooltip
  • target="#image"
  • visible={this.state.isTooltipVisible}
  • contentRender={renderContent}
  • onHiding={this.hideTooltip}
  • />
  • <Button
  • text="Show the Tooltip"
  • onClick={this.showTooltip}
  • />
  • <Button
  • text="Hide the Tooltip"
  • onClick={this.hideTooltip}
  • />
  • </div>
  • );
  • }
  • }
  •  
  • export default App;

Events

To execute certain commands before or after the Tooltip was shown/hidden, handle the showing, shown, hiding or hidden event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the corresponding onEventName property when you configure the UI component.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tooltip } from 'devextreme-react/tooltip';
  •  
  • class App extends React.Component {
  • onShowing(e) {
  • // Handler of the 'showing' event
  • }
  •  
  • onShown(e) {
  • // Handler of the 'shown' event
  • }
  •  
  • onHiding(e) {
  • // Handler of the 'hiding' event
  • }
  •  
  • onHidden(e) {
  • // Handler of the 'hidden' event
  • }
  •  
  • render() {
  • return (
  • <Tooltip ...
  • onShowing={this.onShowing}
  • onShown={this.onShown}
  • onHiding={this.onHiding}
  • onHidden={this.onHidden}
  • />
  • );
  • }
  • }
  •  
  • export default App;
See Also

Vue Tooltip - Show and Hide the Tooltip

User Interaction

To specify when the Tooltip should be shown and hidden, set the showEvent and hideEvent properties. These properties can accept several events at once as well as an object.

  • <template>
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <DxTooltip
  • target="#image"
  • show-event="dxhoverstart"
  • hide-event="dxhoverend">
  • <template #content>
  • <p>Tooltip content</p>
  • </template>
  • </DxTooltip>
  • </div>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTooltip } from 'devextreme-vue/tooltip';
  •  
  • export default {
  • components: {
  • DxTooltip
  • }
  • }
  • </script>

The Tooltip can also be hidden when a user clicks outside it. To control this behavior of the Tooltip, use the hideOnOutsideClick property.

  • <template>
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <DxTooltip
  • target="#image"
  • show-event="dxhoverstart"
  • hide-event="dxhoverend"
  • :hide-on-outside-click="false">
  • <template #content>
  • <p>Tooltip content</p>
  • </template>
  • </DxTooltip>
  • </div>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTooltip } from 'devextreme-vue/tooltip';
  •  
  • export default {
  • components: {
  • DxTooltip
  • }
  • }
  • </script>

API

NOTE
In this article, the Button UI component is used to demonstrate how to show and hide the Tooltip. This choice is made for purely demonstrational purposes, and you can do the same operations using another UI component following the same guidelines.

To show or hide the Tooltip programmatically, bind the visible property of the Tooltip to a component property. After that, change this component property, and the Tooltip will appear or disappear.

  • <template>
  • <div>
  • <img id="image" src="https://url/to/an/image" />
  • <DxTooltip
  • target="#image"
  • v-model:visible="isTooltipVisible">
  • <template #content>
  • <p>Tooltip content</p>
  • </template>
  • </DxTooltip>
  • <DxButton
  • text="Show the Tooltip"
  • @click="showTooltip"
  • />
  • <DxButton
  • text="Hide the Tooltip"
  • @click="hideTooltip"
  • />
  • </div>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTooltip } from 'devextreme-vue/tooltip';
  • import { DxButton } from 'devextreme-vue/button';
  •  
  • export default {
  • components: {
  • DxTooltip,
  • DxButton
  • },
  • data() {
  • return {
  • isTooltipVisible: false
  • }
  • },
  • methods: {
  • showTooltip() {
  • this.isTooltipVisible = true;
  • },
  • hideTooltip() {
  • this.isTooltipVisible = false;
  • }
  • }
  • }
  • </script>

Events

To execute certain commands before or after the Tooltip was shown/hidden, handle the showing, shown, hiding or hidden event. If the event handling function is not going to be changed during the lifetime of the UI component, assign it to the corresponding onEventName property when you configure the UI component.

  • <template>
  • <DxTooltip ...
  • @showing="onShowing"
  • @shown="onShown"
  • @hiding="onHiding"
  • @hidden="onHidden"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTooltip } from 'devextreme-vue/tooltip';
  •  
  • export default {
  • components: {
  • DxTooltip
  • },
  • methods: {
  • onShowing(e) {
  • // Handler of the 'showing' event
  • },
  • onShown(e) {
  • // Handler of the 'shown' event
  • },
  • onHiding(e) {
  • // Handler of the 'hiding' event
  • },
  • onHidden(e) {
  • // Handler of the 'hidden' event
  • }
  • }
  • }
  • </script>
See Also